GNU bug report logs - #30689
[PATCH] Ruby on Rails (web-application framework)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Christopher Baines <mail@HIDDEN>; Keywords: moreinfo; dated Sat, 3 Mar 2018 20:57:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added blocking bug(s) 32370 Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added blocking bug(s) 32964 Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 18 Mar 2018 18:53:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 18 14:53:10 2018
Received: from localhost ([127.0.0.1]:40338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1exdQc-0004M1-1y
	for submit <at> debbugs.gnu.org; Sun, 18 Mar 2018 14:53:10 -0400
Received: from li622-129.members.linode.com ([212.71.249.129]:39990
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1exdQa-0004Lt-3N
 for 30689 <at> debbugs.gnu.org; Sun, 18 Mar 2018 14:53:08 -0400
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 362AA13D067; Sun, 18 Mar 2018 18:53:07 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id F02C013D064
 for <30689 <at> debbugs.gnu.org>; Sun, 18 Mar 2018 18:53:06 +0000 (GMT)
Received: from phact (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 1f8176b5
 for <30689 <at> debbugs.gnu.org>; Sun, 18 Mar 2018 18:53:06 +0000 (UTC)
User-agent: mu4e 1.0; emacs 25.3.1
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: Ruby on Rails
Date: Sun, 18 Mar 2018 18:53:03 +0000
Message-ID: <87fu4xdxm8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain

I've pushed a few patches now. I've kept the committer as Ben, which I
hope is ok with him. I forgot to add a Signed off by line, but I'll try
to remember to do so in the future.

For some gems that are not necessary for rails, I've moved them in to
another branch (wip-rails-extra-packages) [2]. I'm hoping to send the
packages in the (wip-rails-gemset2) branch up for review next, as soon
as I've got around to working through them.

1: http://git.cbaines.net/guix/log/?h=wip-rails-2
2: http://git.cbaines.net/guix/log/?h=wip-rails-extra-packages
3: http://git.cbaines.net/guix/log/?h=wip-rails-gemset2

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlqutY9fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xf2iRAAtN17yZWYJffSu42IxmiYi7bP7PbrXwF6jPzxB3EM74kFHm5hfrA8j3XM
dXHNkNkzRTvNvdjJ35oIFTqib8jy6TNxmjVMtAKAvD0uxHyvMe72pVLuHNJpx8Af
eu1co7kEJP+nv/tqns9apPilVxdLkqWZAiHj0qqVcCNx1slhIDxfjEYUIo1hkAUK
IPaqxS7OhQefvTndTWm5Gc2X89EFdIMMm8wH8YZlqbTqtkVYOu6ChHKBcP7oAzR4
Bzerf/LTNKSDoYWlQprm08ULYsMB7amc0VuFS6H10SsMn2dZ/BX8XWxaBnGhW9wP
SPg3UxnR1YPqQXoMWM97KAAk2UoeB11lW0O/5/5vItU13sSGQ1vUudSFGyU/v4ga
SPZlxmmhNljgwhntktiJL706mqvmZY5uRaEVd02vPh2xL2nUr6rT+gtvOuDBBIfZ
JmW8+Q+uGuUMNmXjGnML4TNLCuDlG5cABVOOycY4yTCIVIvNZyp8VmtJjZU/b5HW
YHV9N2Gz3dm1+nCaoMeZDLVRIsWuQoEw8eDu7TaIY3PoR6yiREJfhd+gIh6MafyN
w05XgIMrWoDNK/oGq51wunrLp9wdDaY51ea4AwRUV52QXVC59JLPzcafnqfGz9Uu
pDHYbZZTKvVSS8B6g+ZGD982tt7vVbn0CCzqAIB8T6FCvP0w2Ak=
=zYHk
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 6 Mar 2018 10:27:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 06 05:27:03 2018
Received: from localhost ([127.0.0.1]:46853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1et9oF-0000Xr-AV
	for submit <at> debbugs.gnu.org; Tue, 06 Mar 2018 05:27:03 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:36992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1et9oD-0000XR-94
 for 30689 <at> debbugs.gnu.org; Tue, 06 Mar 2018 05:27:01 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 9A73711A95;
 Tue,  6 Mar 2018 11:27:00 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id wCeSyFCCMNEm; Tue,  6 Mar 2018 11:26:59 +0100 (CET)
Received: from ribbon (vpn-0-27.aquilenet.fr [IPv6:2a0c:e300:4:27::])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 0ECCC115CE;
 Tue,  6 Mar 2018 11:26:58 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [PATCH] Ruby on Rails (web-application framework)
References: <87shan9lcy.fsf@HIDDEN> <87r2p0ri8x.fsf@HIDDEN>
 <87lgf6dghi.fsf@HIDDEN> <87fu5epbvy.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 16 =?utf-8?Q?Vent=C3=B4se?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 06 Mar 2018 11:26:58 +0100
In-Reply-To: <87fu5epbvy.fsf@HIDDEN> (Christopher Baines's message of
 "Mon, 05 Mar 2018 19:20:49 +0000")
Message-ID: <87zi3lxzwt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30689
Cc: 30689 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello Chris,

Christopher Baines <mail@HIDDEN> skribis:

> So I've successfully managed to get a Rails app up and running just
> using Guix packages, without Bundler, and I think without Rubygems. It
> wasn't too difficult, although I still don't fully understand the
> relationship between Bundler and Rails.

Awesome!

> Once everything is in Guix, I might write a blog post or put up an
> example of the "Getting Started with Rails" guide, but using Guix where
> appropriate. I'm not sure if this would be appropriate to have on the
> Guix blog?

I guess you could focus on using Guix to develop Rails applications, and
it would make a lot of sense as a blog post!

> Also, as a more general point, I feel that it would be useful having
> some documentation on the packages in Guix, especially for documenting
> the individual expected differences when using a package from Guix over
> other approaches. I don't know if this is something that would be
> appropriate to put in the manual?

I think it would make sense to have sections like =E2=80=9CDeveloping in
language X or framework Y with Guix=E2=80=9D.  It would be useful because it
would answer probably some of the main questions for newcomers (=E2=80=9Cho=
w do
I need to adjust my workflow when I switch to Guix?=E2=80=9D).

Cheers,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 5 Mar 2018 19:20:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 05 14:20:55 2018
Received: from localhost ([127.0.0.1]:46215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esvfK-00013h-V7
	for submit <at> debbugs.gnu.org; Mon, 05 Mar 2018 14:20:55 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:57770
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esvfJ-00013Y-44
 for 30689 <at> debbugs.gnu.org; Mon, 05 Mar 2018 14:20:53 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 2EF5C13D067; Mon,  5 Mar 2018 19:20:52 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id D7DD313D064;
 Mon,  5 Mar 2018 19:20:51 +0000 (GMT)
Received: from giedi (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 6368a687;
 Mon, 5 Mar 2018 19:20:51 +0000 (UTC)
References: <87shan9lcy.fsf@HIDDEN> <87r2p0ri8x.fsf@HIDDEN>
 <87lgf6dghi.fsf@HIDDEN>
User-agent: mu4e 0.9.18; emacs 25.3.1
From: Christopher Baines <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [PATCH] Ruby on Rails (web-application framework)
In-reply-to: <87lgf6dghi.fsf@HIDDEN>
Date: Mon, 05 Mar 2018 19:20:49 +0000
Message-ID: <87fu5epbvy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
Cc: 30689 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi Chris,
>
> Christopher Baines <mail@HIDDEN> skribis:
>
>> Let's use this bug to track the process of packaging Ruby on Rails.
>>
>> My current plan is to take chunks of the packages from the wip-rails-2
>> [1] branch here, check them over, and then send them up for review.
>>
>> If anyone else wants to join in, that would be great.
>
> Since probably few people will feel like reviewing each individual
> package, I suppose you can push them once they=E2=80=99re ready, pass =E2=
=80=98guix
> lint=E2=80=99, and generally work.
>
> What will matter most I suppose is testing complete RoR setups.  Maybe
> that=E2=80=99s where others can help more easily?
>
> Thanks to you and to Ben for all of this!

So I've successfully managed to get a Rails app up and running just
using Guix packages, without Bundler, and I think without Rubygems. It
wasn't too difficult, although I still don't fully understand the
relationship between Bundler and Rails.

Once everything is in Guix, I might write a blog post or put up an
example of the "Getting Started with Rails" guide, but using Guix where
appropriate. I'm not sure if this would be appropriate to have on the
Guix blog?

Also, as a more general point, I feel that it would be useful having
some documentation on the packages in Guix, especially for documenting
the individual expected differences when using a package from Guix over
other approaches. I don't know if this is something that would be
appropriate to put in the manual?

Thanks,

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlqdmJFfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdOhhAAqZfzs+pHQi3FCQ+OAhH3XoMpSMqDJxQ2lT/gTFVSAH2LDmujlZYk8c3v
ca6RoQ8n5M42JLOPs0Q9IU4T04hABGoPhszFqcRtxt6HxSTdQFFxRhKnZebuZBhI
JiK2EJAPwBMUPyxuuUECr7H4f6CI0nEuD2femhhwFD5HhXoY0CAOaR9n8Fey20KA
DeLigpnNFGWNSjd90yiO0ksaOVoOWrGEX6CTJmlZqqBo5Pd+MDWZZK533mq1ovmM
gczUjtIoWBNJB3s0XGMWSTROV1d39lNNsQAuaY7+nLnOHNZAswL4ytI4giOMkrNB
EYavEFFD0E6Kr2nRwpNG4zBhjjUGPIuCE6Lwq9+RWnBaNleRkpUoK1JMpfHpXgGa
q+dNXZdZXYhA6XDy2Ne8RpkJSIojnlc7oYMvCbWlwHd0dEJH1djiTs8sus+aaHsP
rTrWB7WcMKrmnSkRGsvIqQZ3F3C6SOL1LqH5Sm40Gp5CX3L+QA3LGdVI/CZHyGiK
xIREfVS5TESgZpsNaM/tSiUpkgPvfZiGa+UmQDfoz1Lea7szNDMvuClp1o5cZjNk
XP2KIKBEojWxOV0yiQzZbNG/nDRXR3piA2LlwppRwo0SN2lBoNaDYItztrjFgPh8
LUc1dXos/PW21HSnXlQMavvEBXwJGUhaFXitXCrT6VHhkzHznyg=
=/gsj
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 5 Mar 2018 09:22:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 05 04:22:21 2018
Received: from localhost ([127.0.0.1]:45091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esmK5-00088H-MC
	for submit <at> debbugs.gnu.org; Mon, 05 Mar 2018 04:22:21 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:35646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1esmK3-000889-Hl
 for 30689 <at> debbugs.gnu.org; Mon, 05 Mar 2018 04:22:20 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id F1EC6112CA;
 Mon,  5 Mar 2018 10:22:18 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Ky9iSpwAeqEX; Mon,  5 Mar 2018 10:22:18 +0100 (CET)
Received: from ribbon (unknown [193.50.110.134])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 0D25410CB1;
 Mon,  5 Mar 2018 10:22:17 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Christopher Baines <mail@HIDDEN>
Subject: Re: [PATCH] Ruby on Rails (web-application framework)
References: <87shan9lcy.fsf@HIDDEN> <87r2p0ri8x.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 15 =?utf-8?Q?Vent=C3=B4se?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 05 Mar 2018 10:22:17 +0100
In-Reply-To: <87r2p0ri8x.fsf@HIDDEN> (Christopher Baines's message of
 "Sat, 03 Mar 2018 20:55:58 +0000")
Message-ID: <87lgf6dghi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30689
Cc: 30689 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Chris,

Christopher Baines <mail@HIDDEN> skribis:

> Let's use this bug to track the process of packaging Ruby on Rails.
>
> My current plan is to take chunks of the packages from the wip-rails-2
> [1] branch here, check them over, and then send them up for review.
>
> If anyone else wants to join in, that would be great.

Since probably few people will feel like reviewing each individual
package, I suppose you can push them once they=E2=80=99re ready, pass =E2=
=80=98guix
lint=E2=80=99, and generally work.

What will matter most I suppose is testing complete RoR setups.  Maybe
that=E2=80=99s where others can help more easily?

Thanks to you and to Ben for all of this!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:48:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:48:19 2018
Received: from localhost ([127.0.0.1]:43200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esF0t-0006P1-Ni
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:48:19 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56138
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esF0s-0006Ot-AO
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:48:18 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 96D0513D069; Sat,  3 Mar 2018 21:48:17 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 2A2FA13D064;
 Sat,  3 Mar 2018 21:48:17 +0000 (GMT)
Received: from phact (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 33230536;
 Sat, 3 Mar 2018 21:48:16 +0000 (UTC)
References: <87shan9lcy.fsf@HIDDEN> <87r2p0ri8x.fsf@HIDDEN>
 <CAE4v=pguJQYiJYkrUXYiZ1QoEoCLrKSt89q7pwafXG-p0bpc=g@HIDDEN>
User-agent: mu4e 0.9.18; emacs 25.3.1
From: Christopher Baines <mail@HIDDEN>
To: =?utf-8?Q?G=C3=A1bor?= Boskovits <boskovits@HIDDEN>
Subject: Re: [PATCH] Ruby on Rails (web-application framework)
In-reply-to: <CAE4v=pguJQYiJYkrUXYiZ1QoEoCLrKSt89q7pwafXG-p0bpc=g@HIDDEN>
Date: Sat, 03 Mar 2018 21:48:08 +0000
Message-ID: <87a7vorftz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
Cc: Guix-devel <guix-devel@HIDDEN>, 30689 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


G=C3=A1bor Boskovits <boskovits@HIDDEN> writes:

> 2018-03-03 21:55 GMT+01:00 Christopher Baines <mail@HIDDEN>:
>
>> Tags: moreinfo
>>
>> Let's use this bug to track the process of packaging Ruby on Rails.
>>
>> My current plan is to take chunks of the packages from the wip-rails-2
>> [1] branch here, check them over, and then send them up for review.
>>
>> If anyone else wants to join in, that would be great.
>>
>>
> This would be great! Actually I would really like to see redmine on GuixSD
> :)
> Please keep me in line. I'm willing to help. Should I join in taking the
> packages
> or just the review?

Either would be great, I've send through patches for the first few
packages for review already.

If you do look at working on the packages, just make sure to keep this
bug up to date.

Thanks,

Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlqbGBhfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xdk3w//bjKcTPVO8DJh66zmUpJjvhUGIG+jTh+fw4a5xwM8o0hBE9GV3ygFECFS
3oM8u37kDPx1BtuNUVyBpB3m5ExNDQ5sDf/U5Q8Hwf/Zva3MJLZYODPRPN6Dxtpb
C1oNj9JTRmzVoVs4QYhSOzi0AQy6Ueuiz0OuS0aFWpqRtxs7/ZtzlR5R9DolOF/4
fRGRaRwcCt/0Vm4um+x8KpDLxR1TlOQVRZOb0gM/O5Fm7TuIw2YKgcfWbjtt4Ix4
doZEvQDNagNM869r9YYCljGC/BcyMx5zeo8jZws/xGyzVaoF0XAhg1yCyV8ur6Td
EqA+eT/FTTPpt6YXfsET2BL20SQtIe8VkWIWag46KgXwbmgNRhAWDrT2PDvpUrco
m2NMq0cqi6zNR2PNJds43pOu2XZbiQMfRdl9JnX1Ot42WH0GrEmXQ5iA453isXLj
vrf06SviL/J71O7vobBgMBnM9NsG2KCOURvFUM98WEFAreuFB1LPg7AnBnLey34i
BfwRSz2KgOhpoJnsdWqqYieDKNbwQZXzBL0Gb4e1RlFjjLspnkywUqNSSmLtpGry
AnQwedKyWK7++RY0QpMiv9IHlik9E14KdSu1ooJzwT5SgZAuv/iCmgAxpqrN0Dq+
n+sFZ8Gim9Lq4aMzbXp0WJfOEMCB01Vm385pZ3McPq9I1pIXmFA=
=7gvq
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2018 21:13:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:13:56 2018
Received: from localhost ([127.0.0.1]:43100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esETa-0003Yo-CU
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:13:56 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1esETY-0003Yb-VV
 for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:13:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boskovits@HIDDEN>) id 1esETR-0007r7-Sh
 for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:13:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38600)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <boskovits@HIDDEN>) id 1esETR-0007ql-Ol
 for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:13:45 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57922)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boskovits@HIDDEN>) id 1esETP-00024k-Ix
 for guix-patches@HIDDEN; Sat, 03 Mar 2018 16:13:45 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boskovits@HIDDEN>) id 1esETN-0007og-PJ
 for guix-patches@HIDDEN; Sat, 03 Mar 2018 16:13:43 -0500
Received: from mail-it0-x22f.google.com ([2607:f8b0:4001:c0b::22f]:51372)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <boskovits@HIDDEN>)
 id 1esETN-0007o4-HX; Sat, 03 Mar 2018 16:13:41 -0500
Received: by mail-it0-x22f.google.com with SMTP id u66so5390892ith.1;
 Sat, 03 Mar 2018 13:13:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=dstH4D6WvCgEl1VPb7KyrSwIXVqdftKdXKwepBt1vjE=;
 b=i74ODY2WsS4zfs8nyj9BxsTGhZb9ANtmgxp2atvCDvPeP+tiBXcQ9fYZPevAIUdDdV
 TxKJ/VKl7H0a0NaoZM5/m4JSZt3TuEFgwyKNlFjkDQGuv8GI4R2QtDkLsimDLoN95h7o
 w4rpMwZWeXkpytpJAsf80NZ502jHfPym7JyM+WB6h99LiyzAIhGtLrq2cGzR2itDgHEa
 KglQXKTzPWLYZvXVw8PPExD5O29iyb7VygyFNyOR6M+I1kM0CTNshQ+89HmxkQtJNjIM
 Zeik3oTeAMY6AFczOXEGWw1UM1M9syv/f7NjB3CFfXphf0Twd1jAmPA+jChfDN+qX09l
 kfmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=dstH4D6WvCgEl1VPb7KyrSwIXVqdftKdXKwepBt1vjE=;
 b=UPpa0bjidVZSJfbDi6epnpOATLmHBGpFnodPZbu3nXVWPNQtgUeEWBHxjrw26MZWFy
 riUFiN6+edmsLIU798mmO64einOuAhFfcRPxWlQs7lbL9AXkwMyL16QvdHBTAACakONq
 rF8nLB5KEIR28Oit+N0HNUITkeIAIL43aN3C9L6/ugKk3gv7rGujEOHgb20u47DuYXA2
 fM+BhGPPl31ERvMHgKKLiHEnZCcwb8HT9YqdbgHEBAo+vI2KDGd4t51M2Xb4sWFP57iI
 4CxJZbyfUYY/WdfX7C5AdfkYTd5G9OyU92SylOsnOtDqjYz4xh/dh3cALhSkUnPPKTT8
 rxiQ==
X-Gm-Message-State: AElRT7EjLGgIjE2oNKYzoAVSFKjk6vku9j716ECBnxtgTrsiJufgb2bO
 qCvUn3QqyF2cFWjnmwrU4x8AUl1Pe423gdRTuQ==
X-Google-Smtp-Source: AG47ELs83tDRaL59nfBwLhzjjQeFTndzBU0EZAi7ly8X+7CfrS+s/Pm9gpMGoe7ncxKbp5tZUWXAMBknpz1Vekzszcw=
X-Received: by 10.36.2.200 with SMTP id 191mr421099itu.108.1520111620639; Sat,
 03 Mar 2018 13:13:40 -0800 (PST)
MIME-Version: 1.0
Received: by 10.79.157.15 with HTTP; Sat, 3 Mar 2018 13:13:40 -0800 (PST)
In-Reply-To: <87r2p0ri8x.fsf@HIDDEN>
References: <87shan9lcy.fsf@HIDDEN> <87r2p0ri8x.fsf@HIDDEN>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Sat, 3 Mar 2018 22:13:40 +0100
Message-ID: <CAE4v=pguJQYiJYkrUXYiZ1QoEoCLrKSt89q7pwafXG-p0bpc=g@HIDDEN>
Subject: Re: [PATCH] Ruby on Rails (web-application framework)
To: Christopher Baines <mail@HIDDEN>
Content-Type: multipart/alternative; boundary="001a11446d982ad2fd0566889187"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: Guix-devel <guix-devel@HIDDEN>, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11446d982ad2fd0566889187
Content-Type: text/plain; charset="UTF-8"

2018-03-03 21:55 GMT+01:00 Christopher Baines <mail@HIDDEN>:

> Tags: moreinfo
>
> Let's use this bug to track the process of packaging Ruby on Rails.
>
> My current plan is to take chunks of the packages from the wip-rails-2
> [1] branch here, check them over, and then send them up for review.
>
> If anyone else wants to join in, that would be great.
>
>
This would be great! Actually I would really like to see redmine on GuixSD
:)
Please keep me in line. I'm willing to help. Should I join in taking the
packages
or just the review?


> 1: http://git.cbaines.net/guix/log/?h=wip-rails-2
>
>
> Ben Woodcroft (115):
>   gnu: Add ruby-asciimath.
>   gnu: Add ruby-asciidoctor.
>   gnu: Add ruby-rack-test.
>   gnu: Add ruby-rack-protection.
>   gnu: Add ruby-contest.
>   gnu: Add ruby-creole.
>   gnu: Add ruby-sporkmonger-rack-mount.
>   gnu: Add ruby-erubis.
>   gnu: Add ruby-rake.
>   gnu: Add ruby-ruby-engine.
>   gnu: Add ruby-sass-spec.
>   gnu: Add ruby-multi-test.
>   gnu: Add ruby-yajl-ruby.
>   gnu: Add ruby-oj.
>   gnu: Add ruby-multi-json.
>   gnu: Add ruby-cucumber-wire.
>   gnu: Add ruby-cucumber.
>   gnu: Add ruby-cucumber*.
>   gnu: Add ruby-rspec-its.
>   gnu: Add ruby-addressable.
>   gnu: Add ruby-bzip2-ruby.
>   gnu: Add ruby-aruba.
>   gnu: Add ruby-aruba*.
>   gnu: Add ruby-fuubar.
>   gnu: Add ruby-contracts.
>   gnu: Add ruby-event-bus.
>   gnu: Add ruby-childprocess.
>   gnu: Add ruby-sinatra.
>   gnu: Add ruby-tilt.
>   gnu: Add ruby-radius.
>   gnu: Add ruby-coveralls.
>   gnu: Add ruby-truthy.
>   gnu: Add ruby-rest-client.
>   gnu: Add ruby-webmock.
>   gnu: Add ruby-crack.
>   gnu: Add ruby-safe-yaml
>   gnu: Add ruby-hashie.
>   gnu: Add ruby-rspec-pending-for.
>   gnu: Add ruby_version.
>   gnu: Add ruby-appraisal.
>   gnu: Add ruby-kramdown..
>   gnu: Add ruby-prawn.
>   gnu: Add ruby-pdf-core.
>   gnu: Add ruby-pdf-reader.
>   gnu: Add ruby-cane.
>   gnu: Add ruby-parallel.
>   gnu: Add ruby-coffee-script.
>   gnu: Add ruby-coffee-script-source.
>   gnu: Add ruby-execjs.
>   gnu: Add duktape.
>   gnu: Add ruby-duktape.
>   gnu: Add ruby-therubyracer.
>   gnu: Add ruby-libv8-3.16.14.
>   gnu: Add ruby-haml.
>   gnu: Add ruby-haml-3.
>   gnu: Add ruby-backports.
>   gnu: Add ruby-faraday.
>   gnu: Add ruby-faraday-middleware.
>   gnu: Add ruby-gh.
>   gnu: Add ruby-highline.
>   gnu: Add ruby-launchy.
>   gnu: Add ruby-travis.
>   gnu: Add ruby-actioncable.
>   gnu: Add ruby-actionmailer.
>   gnu: Add ruby-actionpack.
>   gnu: Add ruby-actionview.
>   gnu: Add ruby-activejob.
>   gnu: Add ruby-activemodel.
>   gnu: Add ruby-activerecord.
>   gnu: Add ruby-railties.
>   gnu: Add ruby-sprockets-rails.
>   gnu: Add ruby-nio4r.
>   gnu: Add ruby-websocket-driver.
>   gnu: Add ruby-mail.
>   gnu: Add ruby-rails-dom-testing.
>   gnu: Add ruby-rails-html-sanitizer.
>   gnu: Add ruby-globalid.
>   gnu: Add ruby-sprockets.
>   gnu: Add ruby-websocket-extensions.
>   gnu: Add ruby-loofah.
>   gnu: Add ruby-rr.
>   gnu: Add ruby-rubocop.
>   gnu: Add ruby-parser.
>   gnu: Add ruby-powerpack.
>   gnu: Add ruby-rainbow.
>   gnu: Add ruby-thread-order.
>   gnu: Add ruby-ruby-progressbar.
>   gnu: Add ruby-unicode-display-width.
>   gnu: Add ruby-ast.
>   gnu: Add ruby-racc.
>   gnu: Add ruby-sass-rails.
>   gnu: Add ruby-uglifier.
>   gnu: Add ruby-sourcemap.
>   gnu: Add ruby-coffee-rails.
>   gnu: Add ruby-jquery-rails.
>   gnu: Add ruby-turbolinks.
>   gnu: Add ruby-jbuilder.
>   gnu: Add ruby-web-console.
>   gnu: Add ruby-rails.
>   gnu: Add ruby-sass.
>   gnu: Add ruby-turbolinks-source.
>   gnu: Add ruby-ref.
>   gnu: Add ruby-redjs.
>   gnu: Add ruby-rubygems.
>   gnu: Add ruby-heredoc-unindent.
>   gnu: Add ruby-hashdiff.
>   gnu: Add ruby-vcr.
>   gnu: Add ruby-listen.
>   gnu: Add ruby-listen-3.0.
>   gnu: Add ruby-ruby-dep.
>   gnu: Add ruby-rb-inotify.
>   gnu: Add ruby-guard-rspec.
>   gnu: Add ruby-guard-compat.
>   gnu: Add ruby-spring-watcher-listen.
>   gnu: Add ruby-rspec-spies.
>
> Christopher Baines (17):
>   gnu: Add ruby-erubi.
>   gnu: Add ruby-open4.
>   gnu: Add ruby-hamster.
>   gnu: Add ruby-lino.
>   gnu: Add ruby-terraform.
>   gnu: Add ruby-sucker-punch.
>   gnu: Add ruby-que.
>   gnu: Add ruby-autoprefixer-rails.
>   gnu: Add ruby-bootstrap-sass.
>   gnu: Add ruby-multi-xml.
>   gnu: Add ruby-omniauth-oauth2.
>   gnu: Add ruby-jwt.
>   gnu: Add ruby-oauth2.
>   gnu: Add ruby-omniauth.
>   gnu: Add ruby-warden.
>   gnu: Add ruby-warden-oauth2.
>   gnu: Add ruby-rerun.
>
>  gnu/packages/javascript.scm                        |   37 +
>  gnu/packages/maths.scm                             |   34 +
>  .../patches/ruby-coffee-rails-fix-rakefile.patch   |   20 +
>  .../patches/ruby-listen-3.0.8-patch-gemspec.patch  |   16 +
>  .../patches/ruby-listen-patch-gemspec.patch        |   16 +
>  .../ruby-rspec-its-remove-rspec-gemspec.patch      |   22 +
>  .../patches/ruby-therubyracer-fix-gemspec.patch    |   16 +
>  gnu/packages/rails.scm                             |  500 +++
>  gnu/packages/ruby.scm                              | 3331
> ++++++++++++++++++++
>  9 files changed, 3992 insertions(+)
>  create mode 100644 gnu/packages/patches/ruby-coffee-rails-fix-rakefile.
> patch
>  create mode 100644 gnu/packages/patches/ruby-listen-3.0.8-patch-gemspec.
> patch
>  create mode 100644 gnu/packages/patches/ruby-listen-patch-gemspec.patch
>  create mode 100644 gnu/packages/patches/ruby-rspec-its-remove-rspec-
> gemspec.patch
>  create mode 100644 gnu/packages/patches/ruby-
> therubyracer-fix-gemspec.patch
>

--001a11446d982ad2fd0566889187
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">2018=
-03-03 21:55 GMT+01:00 Christopher Baines <span dir=3D"ltr">&lt;<a href=3D"=
mailto:mail@HIDDEN" target=3D"_blank">mail@HIDDEN</a>&gt;</span>:=
<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-lef=
t:1px #ccc solid;padding-left:1ex">Tags: moreinfo<br>
<br>
Let&#39;s use this bug to track the process of packaging Ruby on Rails.<br>
<br>
My current plan is to take chunks of the packages from the wip-rails-2<br>
[1] branch here, check them over, and then send them up for review.<br>
<br>
If anyone else wants to join in, that would be great.<br>
<br></blockquote><div><br></div><div>This would be great! Actually I would =
really like to see redmine on GuixSD :)</div><div>Please keep me in line. I=
&#39;m willing to help. Should I join in taking the packages</div><div>or j=
ust the review?</div><div>=C2=A0</div><blockquote class=3D"gmail_quote" sty=
le=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
1: <a href=3D"http://git.cbaines.net/guix/log/?h=3Dwip-rails-2" rel=3D"nore=
ferrer" target=3D"_blank">http://git.cbaines.net/guix/<wbr>log/?h=3Dwip-rai=
ls-2</a><br>
<br>
<br>
Ben Woodcroft (115):<br>
=C2=A0 gnu: Add ruby-asciimath.<br>
=C2=A0 gnu: Add ruby-asciidoctor.<br>
=C2=A0 gnu: Add ruby-rack-test.<br>
=C2=A0 gnu: Add ruby-rack-protection.<br>
=C2=A0 gnu: Add ruby-contest.<br>
=C2=A0 gnu: Add ruby-creole.<br>
=C2=A0 gnu: Add ruby-sporkmonger-rack-mount.<br>
=C2=A0 gnu: Add ruby-erubis.<br>
=C2=A0 gnu: Add ruby-rake.<br>
=C2=A0 gnu: Add ruby-ruby-engine.<br>
=C2=A0 gnu: Add ruby-sass-spec.<br>
=C2=A0 gnu: Add ruby-multi-test.<br>
=C2=A0 gnu: Add ruby-yajl-ruby.<br>
=C2=A0 gnu: Add ruby-oj.<br>
=C2=A0 gnu: Add ruby-multi-json.<br>
=C2=A0 gnu: Add ruby-cucumber-wire.<br>
=C2=A0 gnu: Add ruby-cucumber.<br>
=C2=A0 gnu: Add ruby-cucumber*.<br>
=C2=A0 gnu: Add ruby-rspec-its.<br>
=C2=A0 gnu: Add ruby-addressable.<br>
=C2=A0 gnu: Add ruby-bzip2-ruby.<br>
=C2=A0 gnu: Add ruby-aruba.<br>
=C2=A0 gnu: Add ruby-aruba*.<br>
=C2=A0 gnu: Add ruby-fuubar.<br>
=C2=A0 gnu: Add ruby-contracts.<br>
=C2=A0 gnu: Add ruby-event-bus.<br>
=C2=A0 gnu: Add ruby-childprocess.<br>
=C2=A0 gnu: Add ruby-sinatra.<br>
=C2=A0 gnu: Add ruby-tilt.<br>
=C2=A0 gnu: Add ruby-radius.<br>
=C2=A0 gnu: Add ruby-coveralls.<br>
=C2=A0 gnu: Add ruby-truthy.<br>
=C2=A0 gnu: Add ruby-rest-client.<br>
=C2=A0 gnu: Add ruby-webmock.<br>
=C2=A0 gnu: Add ruby-crack.<br>
=C2=A0 gnu: Add ruby-safe-yaml<br>
=C2=A0 gnu: Add ruby-hashie.<br>
=C2=A0 gnu: Add ruby-rspec-pending-for.<br>
=C2=A0 gnu: Add ruby_version.<br>
=C2=A0 gnu: Add ruby-appraisal.<br>
=C2=A0 gnu: Add ruby-kramdown..<br>
=C2=A0 gnu: Add ruby-prawn.<br>
=C2=A0 gnu: Add ruby-pdf-core.<br>
=C2=A0 gnu: Add ruby-pdf-reader.<br>
=C2=A0 gnu: Add ruby-cane.<br>
=C2=A0 gnu: Add ruby-parallel.<br>
=C2=A0 gnu: Add ruby-coffee-script.<br>
=C2=A0 gnu: Add ruby-coffee-script-source.<br>
=C2=A0 gnu: Add ruby-execjs.<br>
=C2=A0 gnu: Add duktape.<br>
=C2=A0 gnu: Add ruby-duktape.<br>
=C2=A0 gnu: Add ruby-therubyracer.<br>
=C2=A0 gnu: Add ruby-libv8-3.16.14.<br>
=C2=A0 gnu: Add ruby-haml.<br>
=C2=A0 gnu: Add ruby-haml-3.<br>
=C2=A0 gnu: Add ruby-backports.<br>
=C2=A0 gnu: Add ruby-faraday.<br>
=C2=A0 gnu: Add ruby-faraday-middleware.<br>
=C2=A0 gnu: Add ruby-gh.<br>
=C2=A0 gnu: Add ruby-highline.<br>
=C2=A0 gnu: Add ruby-launchy.<br>
=C2=A0 gnu: Add ruby-travis.<br>
=C2=A0 gnu: Add ruby-actioncable.<br>
=C2=A0 gnu: Add ruby-actionmailer.<br>
=C2=A0 gnu: Add ruby-actionpack.<br>
=C2=A0 gnu: Add ruby-actionview.<br>
=C2=A0 gnu: Add ruby-activejob.<br>
=C2=A0 gnu: Add ruby-activemodel.<br>
=C2=A0 gnu: Add ruby-activerecord.<br>
=C2=A0 gnu: Add ruby-railties.<br>
=C2=A0 gnu: Add ruby-sprockets-rails.<br>
=C2=A0 gnu: Add ruby-nio4r.<br>
=C2=A0 gnu: Add ruby-websocket-driver.<br>
=C2=A0 gnu: Add ruby-mail.<br>
=C2=A0 gnu: Add ruby-rails-dom-testing.<br>
=C2=A0 gnu: Add ruby-rails-html-sanitizer.<br>
=C2=A0 gnu: Add ruby-globalid.<br>
=C2=A0 gnu: Add ruby-sprockets.<br>
=C2=A0 gnu: Add ruby-websocket-extensions.<br>
=C2=A0 gnu: Add ruby-loofah.<br>
=C2=A0 gnu: Add ruby-rr.<br>
=C2=A0 gnu: Add ruby-rubocop.<br>
=C2=A0 gnu: Add ruby-parser.<br>
=C2=A0 gnu: Add ruby-powerpack.<br>
=C2=A0 gnu: Add ruby-rainbow.<br>
=C2=A0 gnu: Add ruby-thread-order.<br>
=C2=A0 gnu: Add ruby-ruby-progressbar.<br>
=C2=A0 gnu: Add ruby-unicode-display-width.<br>
=C2=A0 gnu: Add ruby-ast.<br>
=C2=A0 gnu: Add ruby-racc.<br>
=C2=A0 gnu: Add ruby-sass-rails.<br>
=C2=A0 gnu: Add ruby-uglifier.<br>
=C2=A0 gnu: Add ruby-sourcemap.<br>
=C2=A0 gnu: Add ruby-coffee-rails.<br>
=C2=A0 gnu: Add ruby-jquery-rails.<br>
=C2=A0 gnu: Add ruby-turbolinks.<br>
=C2=A0 gnu: Add ruby-jbuilder.<br>
=C2=A0 gnu: Add ruby-web-console.<br>
=C2=A0 gnu: Add ruby-rails.<br>
=C2=A0 gnu: Add ruby-sass.<br>
=C2=A0 gnu: Add ruby-turbolinks-source.<br>
=C2=A0 gnu: Add ruby-ref.<br>
=C2=A0 gnu: Add ruby-redjs.<br>
=C2=A0 gnu: Add ruby-rubygems.<br>
=C2=A0 gnu: Add ruby-heredoc-unindent.<br>
=C2=A0 gnu: Add ruby-hashdiff.<br>
=C2=A0 gnu: Add ruby-vcr.<br>
=C2=A0 gnu: Add ruby-listen.<br>
=C2=A0 gnu: Add ruby-listen-3.0.<br>
=C2=A0 gnu: Add ruby-ruby-dep.<br>
=C2=A0 gnu: Add ruby-rb-inotify.<br>
=C2=A0 gnu: Add ruby-guard-rspec.<br>
=C2=A0 gnu: Add ruby-guard-compat.<br>
=C2=A0 gnu: Add ruby-spring-watcher-listen.<br>
=C2=A0 gnu: Add ruby-rspec-spies.<br>
<br>
Christopher Baines (17):<br>
=C2=A0 gnu: Add ruby-erubi.<br>
=C2=A0 gnu: Add ruby-open4.<br>
=C2=A0 gnu: Add ruby-hamster.<br>
=C2=A0 gnu: Add ruby-lino.<br>
=C2=A0 gnu: Add ruby-terraform.<br>
=C2=A0 gnu: Add ruby-sucker-punch.<br>
=C2=A0 gnu: Add ruby-que.<br>
=C2=A0 gnu: Add ruby-autoprefixer-rails.<br>
=C2=A0 gnu: Add ruby-bootstrap-sass.<br>
=C2=A0 gnu: Add ruby-multi-xml.<br>
=C2=A0 gnu: Add ruby-omniauth-oauth2.<br>
=C2=A0 gnu: Add ruby-jwt.<br>
=C2=A0 gnu: Add ruby-oauth2.<br>
=C2=A0 gnu: Add ruby-omniauth.<br>
=C2=A0 gnu: Add ruby-warden.<br>
=C2=A0 gnu: Add ruby-warden-oauth2.<br>
=C2=A0 gnu: Add ruby-rerun.<br>
<br>
=C2=A0gnu/packages/javascript.scm=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 |=C2=A0 =C2=A037 +<br>
=C2=A0gnu/packages/maths.scm=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0|=C2=A0 =C2=A034=
 +<br>
=C2=A0.../patches/ruby-coffee-rails-<wbr>fix-rakefile.patch=C2=A0 =C2=A0|=
=C2=A0 =C2=A020 +<br>
=C2=A0.../patches/ruby-listen-3.0.8-<wbr>patch-gemspec.patch=C2=A0 |=C2=A0 =
=C2=A016 +<br>
=C2=A0.../patches/ruby-listen-patch-<wbr>gemspec.patch=C2=A0 =C2=A0 =C2=A0 =
=C2=A0 |=C2=A0 =C2=A016 +<br>
=C2=A0.../ruby-rspec-its-remove-<wbr>rspec-gemspec.patch=C2=A0 =C2=A0 =C2=
=A0 |=C2=A0 =C2=A022 +<br>
=C2=A0.../patches/ruby-therubyracer-<wbr>fix-gemspec.patch=C2=A0 =C2=A0 |=
=C2=A0 =C2=A016 +<br>
=C2=A0gnu/packages/rails.scm=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0|=C2=A0 500 +++<=
br>
=C2=A0gnu/packages/ruby.scm=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0=
 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 | 3331 +++++++++++=
+++++++++<br>
=C2=A09 files changed, 3992 insertions(+)<br>
=C2=A0create mode 100644 gnu/packages/patches/ruby-<wbr>coffee-rails-fix-ra=
kefile.<wbr>patch<br>
=C2=A0create mode 100644 gnu/packages/patches/ruby-<wbr>listen-3.0.8-patch-=
gemspec.<wbr>patch<br>
=C2=A0create mode 100644 gnu/packages/patches/ruby-<wbr>listen-patch-gemspe=
c.patch<br>
=C2=A0create mode 100644 gnu/packages/patches/ruby-<wbr>rspec-its-remove-rs=
pec-<wbr>gemspec.patch<br>
=C2=A0create mode 100644 gnu/packages/patches/ruby-<wbr>therubyracer-fix-ge=
mspec.patch<br>
</blockquote></div><br></div></div>

--001a11446d982ad2fd0566889187--




Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:20 2018
Received: from localhost ([127.0.0.1]:43087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJM-0003Jj-6O
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:20 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56056
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJD-0003I6-VJ
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:13 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 8133A13D06A; Sat,  3 Mar 2018 21:03:11 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id CD9BC13D06D
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 65142f06
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 07/10] gnu: Add ruby-sporkmonger-rack-mount.
Date: Sat,  3 Mar 2018 21:03:05 +0000
Message-Id: <20180303210308.15500-7-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
In-Reply-To: <20180303210308.15500-1-mail@HIDDEN>
References: <20180303210308.15500-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

* gnu/packages/ruby.scm (ruby-sporkmonger-rack-mount): New variable.
---
 gnu/packages/ruby.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 46676ff23..688cef710 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -700,6 +700,37 @@ AsciiDoc content to HTML5, DocBook 5 (or 4.5) and other formats.")
   (home-page "http://asciidoctor.org")
   (license license:expat)))
 
+(define-public ruby-sporkmonger-rack-mount
+  ;; Testing the addressable gem requires a newer commit than that released, so
+  ;; use an up to date version.
+  (let ((revision "1")
+        (commit "076aa2c47d9a4c081f1e9bcb56a826a9e72bd5c3"))
+    (package
+      (name "ruby-sporkmonger-rack-mount")
+      (version (string-append "0.8.3." revision "." commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/sporkmonger/rack-mount.git")
+                      (commit commit)))
+                (file-name (string-append name "-" version "-checkout"))
+                (sha256
+                 (base32
+                  "1scx273g3xd93424x9lxc4zyvcp2niknbw5mkz6wkivpf7xsyxdq"))))
+      (build-system ruby-build-system)
+      (arguments
+       ;; Tests currently fail so disable them.
+       ;; https://github.com/sporkmonger/rack-mount/pull/1
+       `(#:tests? #f))
+      (propagated-inputs `(("ruby-rack" ,ruby-rack)))
+      (synopsis "Stackable dynamic tree based Rack router")
+      (description
+       "@code{Rack::Mount} supports Rack's @code{X-Cascade} convention to
+continue trying routes if the response returns pass.  This allows multiple
+routes to be nested or stacked on top of each other.")
+      (home-page "https://github.com/sporkmonger/rack-mount")
+      (license license:expat))))
+
 (define-public ruby-ci-reporter
   (package
     (name "ruby-ci-reporter")
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:20 2018
Received: from localhost ([127.0.0.1]:43085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJK-0003Jc-Ga
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:18 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56054
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJD-0003Hy-Jm
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:12 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 2DEB613D067; Sat,  3 Mar 2018 21:03:11 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id EBAC413D06E
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 453f6adb
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 08/10] gnu: Add ruby-erubis.
Date: Sat,  3 Mar 2018 21:03:06 +0000
Message-Id: <20180303210308.15500-8-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
In-Reply-To: <20180303210308.15500-1-mail@HIDDEN>
References: <20180303210308.15500-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

* gnu/packages/ruby.scm (ruby-erubis): New variable.
---
 gnu/packages/ruby.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 688cef710..5f540250b 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -890,6 +890,29 @@ functions.")
     (home-page "https://github.com/ahoward/options")
     (license license:ruby)))
 
+(define-public ruby-erubis
+  (package
+    (name "ruby-erubis")
+    (version "2.7.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rubygems-uri "erubis" version))
+       (sha256
+        (base32
+         "1fj827xqjs91yqsydf0zmfyw9p4l2jz5yikg3mppz6d7fi8kyrb3"))))
+    (build-system ruby-build-system)
+    (arguments
+     '(#:tests? #f)) ; tests do not run properly with Ruby 2.0
+    (synopsis "Implementation of embedded Ruby (eRuby)")
+    (description
+     "Erubis is a fast implementation of embedded Ruby (eRuby) with several
+features such as multi-language support, auto escaping, auto trimming spaces
+around @code{<% %>}, a changeable embedded pattern, and Ruby on Rails
+support.")
+    (home-page "http://www.kuwata-lab.com/erubis/")
+    (license license:expat)))
+
 (define-public ruby-orderedhash
   (package
     (name "ruby-orderedhash")
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:18 2018
Received: from localhost ([127.0.0.1]:43083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJK-0003JV-5Z
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:18 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56050
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJD-0003Hw-GA
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:12 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 00E7913D064; Sat,  3 Mar 2018 21:03:10 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 5225C13D069
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 78a74fac
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 03/10] gnu: Add ruby-rack-test.
Date: Sat,  3 Mar 2018 21:03:01 +0000
Message-Id: <20180303210308.15500-3-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
In-Reply-To: <20180303210308.15500-1-mail@HIDDEN>
References: <20180303210308.15500-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

* gnu/packages/ruby.scm (ruby-rack-test): New variable.
---
 gnu/packages/ruby.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index fbb387e71..3f80f636f 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -3328,6 +3328,37 @@ into a single method call.")
     (home-page "https://rack.github.io/")
     (license license:expat)))
 
+(define-public ruby-rack-test
+  (package
+    (name "ruby-rack-test")
+    (version "0.8.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rubygems-uri "rack-test" version))
+       (sha256
+        (base32
+         "14ij39zywvr1i9f6jsixfg4zxi2q1m1n1nydvf47f0b6sfc9mv1g"))))
+    (build-system ruby-build-system)
+    (arguments
+     ;; Disable tests because of circular dependencies: requires sinatra,
+     ;; which requires rack-protection, which requires rack-test.  Instead
+     ;; simply require the library.
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda _
+             (invoke "ruby" "-Ilib" "-r" "rack/test"))))))
+    (propagated-inputs
+     `(("ruby-rack" ,ruby-rack)))
+    (synopsis "Testing API for Rack applications")
+    (description
+     "Rack::Test is a small, simple testing API for Rack applications.  It can
+be used on its own or as a reusable starting point for Web frameworks and
+testing libraries to build on.")
+    (home-page "https://github.com/rack-test/rack-test")
+    (license license:expat)))
+
 (define-public ruby-docile
   (package
     (name "ruby-docile")
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:18 2018
Received: from localhost ([127.0.0.1]:43081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJJ-0003JM-QW
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:18 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56052
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJD-0003Hx-HD
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:12 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 0E4CD13D069; Sat,  3 Mar 2018 21:03:11 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 33ACA13D067
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:10 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 090f04ca
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 10/10] gnu: Add ruby-ruby-engine.
Date: Sat,  3 Mar 2018 21:03:08 +0000
Message-Id: <20180303210308.15500-10-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
In-Reply-To: <20180303210308.15500-1-mail@HIDDEN>
References: <20180303210308.15500-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

* gnu/packages/ruby.scm (ruby-ruby-engine): New variable.
---
 gnu/packages/ruby.scm | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index c377d2595..05a78843d 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -3715,6 +3715,51 @@ used to create both network servers and clients.")
     (home-page "http://rubyeventmachine.com")
     (license (list license:ruby license:gpl3)))) ; GPLv3 only AFAICT
 
+(define-public ruby-ruby-engine
+  (package
+    (name "ruby-ruby-engine")
+    (version "1.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rubygems-uri "ruby_engine" version))
+       (sha256
+        (base32
+         "1d0sd4q50zkcqhr395wj1wpn2ql52r0fpwhzjfvi1bljml7k546v"))))
+    (build-system ruby-build-system)
+    (arguments
+     `(#:tests? #f
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'clean-up
+           (lambda _
+             (delete-file "Gemfile.lock")
+             (substitute* "ruby_engine.gemspec"
+               ;; Remove unnecessary imports that would entail further
+               ;; dependencies.
+               ((".*<rdoc.*") "")
+               ((".*<rubygems-tasks.*") "")
+               ;; Remove extraneous .gem file
+               (("\\\"pkg/ruby_engine-1.0.0.gem\\\",") ""))
+             (substitute* "Rakefile"
+               (("require 'rubygems/tasks'") "")
+               (("Gem::Tasks.new") ""))
+             ;; Remove extraneous .gem file that otherwise gets installed.
+             (delete-file "pkg/ruby_engine-1.0.0.gem")
+             #t)))))
+    (native-inputs
+     `(("bundler" ,bundler)
+       ("ruby-rake" ,ruby-rake)
+       ("ruby-rspec" ,ruby-rspec-2)))
+    (synopsis "Simplifies checking for Ruby implementation")
+    (description
+     "@code{ruby_engine} provides an RubyEngine class that can be used to check
+which implementation of Ruby is in use.  It can provide the interpreter name and
+provides query methods such as @{RubyEngine.mri?}.")
+    (home-page
+     "https://github.com/janlelis/ruby_engine")
+    (license license:expat)))
+
 (define-public ruby-turn
   (package
     (name "ruby-turn")
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:17 2018
Received: from localhost ([127.0.0.1]:43079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJJ-0003JF-HE
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:17 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56048
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJD-0003Hv-Fp
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:12 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 9E7EB13D06F; Sat,  3 Mar 2018 21:03:10 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 8E56413D064
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 01a31dbd
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 05/10] gnu: Add ruby-contest.
Date: Sat,  3 Mar 2018 21:03:03 +0000
Message-Id: <20180303210308.15500-5-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
In-Reply-To: <20180303210308.15500-1-mail@HIDDEN>
References: <20180303210308.15500-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

* gnu/packages/ruby.scm (ruby-contest): New variable.
---
 gnu/packages/ruby.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 57c4e67e2..c39dc033b 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -3388,6 +3388,25 @@ clickjacking, directory traversal, session hijacking and IP spoofing.")
     (home-page "https://github.com/sinatra/sinatra/tree/master/rack-protection")
     (license license:expat)))
 
+(define-public ruby-contest
+  (package
+    (name "ruby-contest")
+    (version "0.1.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rubygems-uri "contest" version))
+       (sha256
+        (base32
+         "1p9f2292b7b0fbrcjswvj9v01z7ig5ig52328wyqcabgb553qsdf"))))
+    (build-system ruby-build-system)
+    (synopsis "Write declarative tests using nested contexts")
+    (description
+     "Contest allows writing declarative @code{Test::Unit} tests using nested
+contexts without performance penalties.")
+    (home-page "https://github.com/citrusbyte/contest")
+    (license license:expat)))
+
 (define-public ruby-docile
   (package
     (name "ruby-docile")
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:17 2018
Received: from localhost ([127.0.0.1]:43077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJJ-0003J8-6W
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:17 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56046
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJC-0003Hh-TH
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:11 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 7C9BD13D06C; Sat,  3 Mar 2018 21:03:10 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 1604313D06F
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:10 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 50c84704
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 09/10] gnu: Add ruby-rake.
Date: Sat,  3 Mar 2018 21:03:07 +0000
Message-Id: <20180303210308.15500-9-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
In-Reply-To: <20180303210308.15500-1-mail@HIDDEN>
References: <20180303210308.15500-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

---
 gnu/packages/ruby.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 5f540250b..c377d2595 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -4910,3 +4910,24 @@ thing this library does today is convert org-mode files to HTML or Textile or
 Markdown.")
     (home-page "https://github.com/wallyqs/org-ruby")
     (license license:expat)))
+
+(define-public ruby-rake
+  (package
+    (name "ruby-rake")
+    (version "12.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rubygems-uri "rake" version))
+       (sha256
+        (base32
+         "190p7cs8zdn07mjj6xwwsdna3g0r98zs4crz7jh2j2q5b0nbxgjf"))))
+    (build-system ruby-build-system)
+    (native-inputs
+     `(("bundler" ,bundler)))
+    (synopsis "Rake is a Make-like program implemented in Ruby.")
+    (description
+     "Rake is a Make-like program where tasks and dependencies are specified
+in standard Ruby syntax.")
+    (home-page "https://github.com/ruby/rake")
+    (license license:expat)))
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:17 2018
Received: from localhost ([127.0.0.1]:43075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJI-0003J0-Qq
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:17 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56040
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJC-0003Hf-KO
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:11 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 2E59613D070; Sat,  3 Mar 2018 21:03:10 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 340FD13D067
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 7f6bb990
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 02/10] gnu: Add ruby-asciidoctor.
Date: Sat,  3 Mar 2018 21:03:00 +0000
Message-Id: <20180303210308.15500-2-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
In-Reply-To: <20180303210308.15500-1-mail@HIDDEN>
References: <20180303210308.15500-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

* gnu/packages/ruby.scm (ruby-asciidoctor): New variable.
---
 gnu/packages/maths.scm | 13 +++++++++----
 gnu/packages/ruby.scm  | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 6cd41278d..5771d128f 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -97,6 +97,7 @@
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages qt)
   #:use-module (gnu packages readline)
+  #:use-module (gnu packages ruby)
   #:use-module (gnu packages tbb)
   #:use-module (gnu packages scheme)
   #:use-module (gnu packages shells)
@@ -1926,11 +1927,15 @@ porting.")
          "1d80kiph5mc78zps7si1hv48kv4k12mzaq8jk5kb3pqpjdr72qmc"))))
     (build-system ruby-build-system)
     (arguments
-     `(#:phases
+     '(#:phases
        (modify-phases %standard-phases
-         (replace 'check
-           (lambda* _
-             (invoke "rspec" "test/parser_spec.rb"))))))
+         ;; Apply this patch
+         ;; https://github.com/asciidoctor/asciimath/commit/1c06fdc8086077f4785479f78b0823a4a72d7948
+         (add-after 'unpack 'patch-remove-spurious-backslashes
+           (lambda _
+             (substitute* "spec/parser_spec.rb"
+               (("\\\\\"")
+                "\"")))))))
     (native-inputs
      `(("bundler" ,bundler)
        ("ruby-rspec" ,ruby-rspec)))
diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index ee5d20955..fbb387e71 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -665,6 +665,41 @@ line of code.")
     ;; of the Expat license.
     (license license:bsd-3)))
 
+(define-public ruby-asciidoctor
+  (package
+  (name "ruby-asciidoctor")
+  (version "1.5.6.1")
+  (source
+    (origin
+      (method url-fetch)
+      (uri (rubygems-uri "asciidoctor" version))
+      (sha256
+        (base32
+          "1jnf9y8q5asfdzilp8vcqafrc2faj719df4yh1993mh6jd0iqdy4"))))
+  (build-system ruby-build-system)
+  (arguments
+   `(#:test-target "test:all"
+     #:phases
+     (modify-phases %standard-phases
+       (add-before 'check 'remove-circular-tests
+         (lambda _
+           ;; Remove tests that require circular dependencies to load or pass.
+           (delete-file "test/invoker_test.rb")
+           (delete-file "test/converter_test.rb")
+           (delete-file "test/options_test.rb")
+           #t)))))
+  (native-inputs
+   `(("ruby-minitest" ,ruby-minitest)
+     ("ruby-nokogiri" ,ruby-nokogiri)
+     ("ruby-asciimath" ,ruby-asciimath)
+     ("ruby-coderay" ,ruby-coderay)))
+  (synopsis "Converter from AsciiDoc content to other formats")
+  (description
+    "Asciidoctor is a text processor and publishing toolchain for converting
+AsciiDoc content to HTML5, DocBook 5 (or 4.5) and other formats.")
+  (home-page "http://asciidoctor.org")
+  (license license:expat)))
+
 (define-public ruby-ci-reporter
   (package
     (name "ruby-ci-reporter")
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:16 2018
Received: from localhost ([127.0.0.1]:43073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJI-0003It-GJ
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:16 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56042
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJC-0003Hg-LG
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:11 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 3859613D071; Sat,  3 Mar 2018 21:03:10 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id AE23513D06C
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id ef010963
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 06/10] gnu: Add ruby-creole.
Date: Sat,  3 Mar 2018 21:03:04 +0000
Message-Id: <20180303210308.15500-6-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
In-Reply-To: <20180303210308.15500-1-mail@HIDDEN>
References: <20180303210308.15500-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

* gnu/packages/ruby.scm (ruby-creole): New variable.
---
 gnu/packages/ruby.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index c39dc033b..46676ff23 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -3407,6 +3407,27 @@ contexts without performance penalties.")
     (home-page "https://github.com/citrusbyte/contest")
     (license license:expat)))
 
+(define-public ruby-creole
+  (package
+    (name "ruby-creole")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rubygems-uri "creole" version))
+       (sha256
+        (base32
+         "00rcscz16idp6dx0dk5yi5i0fz593i3r6anbn5bg2q07v3i025wm"))))
+    (build-system ruby-build-system)
+    (native-inputs
+     `(("ruby-bacon" ,ruby-bacon)))
+    (synopsis "Creole markup language converter")
+    (description
+     "Creole is a lightweight markup language and this library for converting
+creole to @code{HTML}.")
+    (home-page "https://github.com/minad/creole")
+    (license license:ruby)))
+
 (define-public ruby-docile
   (package
     (name "ruby-docile")
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:16 2018
Received: from localhost ([127.0.0.1]:43071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJG-0003Ip-ED
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:14 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56034
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJC-0003Hd-D9
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:10 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id F1D3613D06A; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 70A1513D06A
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 79f3fe67
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 04/10] gnu: Add ruby-rack-protection.
Date: Sat,  3 Mar 2018 21:03:02 +0000
Message-Id: <20180303210308.15500-4-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
In-Reply-To: <20180303210308.15500-1-mail@HIDDEN>
References: <20180303210308.15500-1-mail@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

* gnu/packages/ruby.scm (ruby-rack-protection): New variable.
---
 gnu/packages/ruby.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 3f80f636f..57c4e67e2 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -3359,6 +3359,35 @@ testing libraries to build on.")
     (home-page "https://github.com/rack-test/rack-test")
     (license license:expat)))
 
+(define-public ruby-rack-protection
+  (package
+    (name "ruby-rack-protection")
+    (version "2.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rubygems-uri "rack-protection" version))
+       (sha256
+        (base32
+         "0ywmgh7x8ljf7jfnq5hmfzki3f803waji3fcvi107w7mlyflbng7"))))
+    (build-system ruby-build-system)
+    (arguments
+     '(;; Tests missing from the gem
+       #:tests? #f))
+    (propagated-inputs
+     `(("ruby-rack" ,ruby-rack)))
+    (native-inputs
+     `(("bundler" ,bundler)
+       ("ruby-rspec" ,ruby-rspec-2)
+       ("ruby-rack-test" ,ruby-rack-test)))
+    (synopsis "Rack middleware that protects against typical web attacks")
+    (description "Rack middleware that can be used to protect against typical
+web attacks.  It can protect all Rack apps, including Rails.  For instance, it
+protects against cross site request forgery, cross site scripting,
+clickjacking, directory traversal, session hijacking and IP spoofing.")
+    (home-page "https://github.com/sinatra/sinatra/tree/master/rack-protection")
+    (license license:expat)))
+
 (define-public ruby-docile
   (package
     (name "ruby-docile")
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at 30689 <at> debbugs.gnu.org:


Received: (at 30689) by debbugs.gnu.org; 3 Mar 2018 21:03:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 16:03:13 2018
Received: from localhost ([127.0.0.1]:43069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esEJE-0003IU-U3
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:13 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:56028
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esEJC-0003Hc-C6
 for 30689 <at> debbugs.gnu.org; Sat, 03 Mar 2018 16:03:10 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id 85EA213D06B; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 14F1213D064
 for <30689 <at> debbugs.gnu.org>; Sat,  3 Mar 2018 21:03:09 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id e09bc331
 for <30689 <at> debbugs.gnu.org>; Sat, 3 Mar 2018 21:03:08 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 30689 <at> debbugs.gnu.org
Subject: [PATCH 01/10] gnu: Add ruby-asciimath.
Date: Sat,  3 Mar 2018 21:02:59 +0000
Message-Id: <20180303210308.15500-1-mail@HIDDEN>
X-Mailer: git-send-email 2.16.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30689
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

From: Ben Woodcroft <donttrustben@HIDDEN>

* gnu/packages/maths.scm (ruby-asciimath): New variable.
---
 gnu/packages/maths.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 8d0c10697..6cd41278d 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -52,6 +52,7 @@
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system ocaml)
   #:use-module (guix build-system r)
+  #:use-module (guix build-system ruby)
   #:use-module (gnu packages algebra)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages bison)
@@ -1912,6 +1913,34 @@ special functions.  It uses Matlab function names where appropriate to simplify
 porting.")
     (license license:gpl3+)))
 
+(define-public ruby-asciimath
+  (package
+    (name "ruby-asciimath")
+    (version "1.0.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rubygems-uri "asciimath" version))
+       (sha256
+        (base32
+         "1d80kiph5mc78zps7si1hv48kv4k12mzaq8jk5kb3pqpjdr72qmc"))))
+    (build-system ruby-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* _
+             (invoke "rspec" "test/parser_spec.rb"))))))
+    (native-inputs
+     `(("bundler" ,bundler)
+       ("ruby-rspec" ,ruby-rspec)))
+    (synopsis "AsciiMath parsing and conversion library")
+    (description
+     "A pure Ruby AsciiMath parsing and conversion library.  AsciiMath is an
+easy-to-write markup language for mathematics.")
+    (home-page "https://github.com/pepijnve/asciimath")
+    (license license:expat)))
+
 (define-public superlu
   (package
     (name "superlu")
-- 
2.16.0





Information forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2018 20:56:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 15:56:21 2018
Received: from localhost ([127.0.0.1]:43055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1esECb-00036m-2h
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 15:56:21 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1esECZ-00036Z-C1
 for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 15:56:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1esECS-0004Vg-G3
 for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 15:56:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52827)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1esECS-0004VI-Co
 for submit <at> debbugs.gnu.org; Sat, 03 Mar 2018 15:56:12 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54623)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1esECQ-0005tG-MH
 for guix-patches@HIDDEN; Sat, 03 Mar 2018 15:56:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1esECP-0004O0-5O
 for guix-patches@HIDDEN; Sat, 03 Mar 2018 15:56:10 -0500
Received: from mira.cbaines.net ([2a01:7e00::f03c:91ff:fe69:8da9]:49984)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>)
 id 1esECK-0004HV-65; Sat, 03 Mar 2018 15:56:04 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id B347713D067; Sat,  3 Mar 2018 20:56:02 +0000 (GMT)
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 35FF013D064;
 Sat,  3 Mar 2018 20:56:02 +0000 (GMT)
Received: from giedi (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id ae9d85ca;
 Sat, 3 Mar 2018 20:56:01 +0000 (UTC)
References: <87shan9lcy.fsf@HIDDEN>
User-agent: mu4e 0.9.18; emacs 25.3.1
From: Christopher Baines <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] Ruby on Rails (web-application framework)
In-reply-to: <87shan9lcy.fsf@HIDDEN>
Date: Sat, 03 Mar 2018 20:55:58 +0000
Message-ID: <87r2p0ri8x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: submit
Cc: guix-devel@HIDDEN, Ben Woodcroft <donttrustben@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--=-=-=
Content-Type: text/plain

Tags: moreinfo

Let's use this bug to track the process of packaging Ruby on Rails.

My current plan is to take chunks of the packages from the wip-rails-2
[1] branch here, check them over, and then send them up for review.

If anyone else wants to join in, that would be great.

1: http://git.cbaines.net/guix/log/?h=wip-rails-2


Ben Woodcroft (115):
  gnu: Add ruby-asciimath.
  gnu: Add ruby-asciidoctor.
  gnu: Add ruby-rack-test.
  gnu: Add ruby-rack-protection.
  gnu: Add ruby-contest.
  gnu: Add ruby-creole.
  gnu: Add ruby-sporkmonger-rack-mount.
  gnu: Add ruby-erubis.
  gnu: Add ruby-rake.
  gnu: Add ruby-ruby-engine.
  gnu: Add ruby-sass-spec.
  gnu: Add ruby-multi-test.
  gnu: Add ruby-yajl-ruby.
  gnu: Add ruby-oj.
  gnu: Add ruby-multi-json.
  gnu: Add ruby-cucumber-wire.
  gnu: Add ruby-cucumber.
  gnu: Add ruby-cucumber*.
  gnu: Add ruby-rspec-its.
  gnu: Add ruby-addressable.
  gnu: Add ruby-bzip2-ruby.
  gnu: Add ruby-aruba.
  gnu: Add ruby-aruba*.
  gnu: Add ruby-fuubar.
  gnu: Add ruby-contracts.
  gnu: Add ruby-event-bus.
  gnu: Add ruby-childprocess.
  gnu: Add ruby-sinatra.
  gnu: Add ruby-tilt.
  gnu: Add ruby-radius.
  gnu: Add ruby-coveralls.
  gnu: Add ruby-truthy.
  gnu: Add ruby-rest-client.
  gnu: Add ruby-webmock.
  gnu: Add ruby-crack.
  gnu: Add ruby-safe-yaml
  gnu: Add ruby-hashie.
  gnu: Add ruby-rspec-pending-for.
  gnu: Add ruby_version.
  gnu: Add ruby-appraisal.
  gnu: Add ruby-kramdown..
  gnu: Add ruby-prawn.
  gnu: Add ruby-pdf-core.
  gnu: Add ruby-pdf-reader.
  gnu: Add ruby-cane.
  gnu: Add ruby-parallel.
  gnu: Add ruby-coffee-script.
  gnu: Add ruby-coffee-script-source.
  gnu: Add ruby-execjs.
  gnu: Add duktape.
  gnu: Add ruby-duktape.
  gnu: Add ruby-therubyracer.
  gnu: Add ruby-libv8-3.16.14.
  gnu: Add ruby-haml.
  gnu: Add ruby-haml-3.
  gnu: Add ruby-backports.
  gnu: Add ruby-faraday.
  gnu: Add ruby-faraday-middleware.
  gnu: Add ruby-gh.
  gnu: Add ruby-highline.
  gnu: Add ruby-launchy.
  gnu: Add ruby-travis.
  gnu: Add ruby-actioncable.
  gnu: Add ruby-actionmailer.
  gnu: Add ruby-actionpack.
  gnu: Add ruby-actionview.
  gnu: Add ruby-activejob.
  gnu: Add ruby-activemodel.
  gnu: Add ruby-activerecord.
  gnu: Add ruby-railties.
  gnu: Add ruby-sprockets-rails.
  gnu: Add ruby-nio4r.
  gnu: Add ruby-websocket-driver.
  gnu: Add ruby-mail.
  gnu: Add ruby-rails-dom-testing.
  gnu: Add ruby-rails-html-sanitizer.
  gnu: Add ruby-globalid.
  gnu: Add ruby-sprockets.
  gnu: Add ruby-websocket-extensions.
  gnu: Add ruby-loofah.
  gnu: Add ruby-rr.
  gnu: Add ruby-rubocop.
  gnu: Add ruby-parser.
  gnu: Add ruby-powerpack.
  gnu: Add ruby-rainbow.
  gnu: Add ruby-thread-order.
  gnu: Add ruby-ruby-progressbar.
  gnu: Add ruby-unicode-display-width.
  gnu: Add ruby-ast.
  gnu: Add ruby-racc.
  gnu: Add ruby-sass-rails.
  gnu: Add ruby-uglifier.
  gnu: Add ruby-sourcemap.
  gnu: Add ruby-coffee-rails.
  gnu: Add ruby-jquery-rails.
  gnu: Add ruby-turbolinks.
  gnu: Add ruby-jbuilder.
  gnu: Add ruby-web-console.
  gnu: Add ruby-rails.
  gnu: Add ruby-sass.
  gnu: Add ruby-turbolinks-source.
  gnu: Add ruby-ref.
  gnu: Add ruby-redjs.
  gnu: Add ruby-rubygems.
  gnu: Add ruby-heredoc-unindent.
  gnu: Add ruby-hashdiff.
  gnu: Add ruby-vcr.
  gnu: Add ruby-listen.
  gnu: Add ruby-listen-3.0.
  gnu: Add ruby-ruby-dep.
  gnu: Add ruby-rb-inotify.
  gnu: Add ruby-guard-rspec.
  gnu: Add ruby-guard-compat.
  gnu: Add ruby-spring-watcher-listen.
  gnu: Add ruby-rspec-spies.

Christopher Baines (17):
  gnu: Add ruby-erubi.
  gnu: Add ruby-open4.
  gnu: Add ruby-hamster.
  gnu: Add ruby-lino.
  gnu: Add ruby-terraform.
  gnu: Add ruby-sucker-punch.
  gnu: Add ruby-que.
  gnu: Add ruby-autoprefixer-rails.
  gnu: Add ruby-bootstrap-sass.
  gnu: Add ruby-multi-xml.
  gnu: Add ruby-omniauth-oauth2.
  gnu: Add ruby-jwt.
  gnu: Add ruby-oauth2.
  gnu: Add ruby-omniauth.
  gnu: Add ruby-warden.
  gnu: Add ruby-warden-oauth2.
  gnu: Add ruby-rerun.

 gnu/packages/javascript.scm                        |   37 +
 gnu/packages/maths.scm                             |   34 +
 .../patches/ruby-coffee-rails-fix-rakefile.patch   |   20 +
 .../patches/ruby-listen-3.0.8-patch-gemspec.patch  |   16 +
 .../patches/ruby-listen-patch-gemspec.patch        |   16 +
 .../ruby-rspec-its-remove-rspec-gemspec.patch      |   22 +
 .../patches/ruby-therubyracer-fix-gemspec.patch    |   16 +
 gnu/packages/rails.scm                             |  500 +++
 gnu/packages/ruby.scm                              | 3331 ++++++++++++++++++++
 9 files changed, 3992 insertions(+)
 create mode 100644 gnu/packages/patches/ruby-coffee-rails-fix-rakefile.patch
 create mode 100644 gnu/packages/patches/ruby-listen-3.0.8-patch-gemspec.patch
 create mode 100644 gnu/packages/patches/ruby-listen-patch-gemspec.patch
 create mode 100644 gnu/packages/patches/ruby-rspec-its-remove-rspec-gemspec.patch
 create mode 100644 gnu/packages/patches/ruby-therubyracer-fix-gemspec.patch

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlqbC95fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xe26w/8CBPnD07YER4ehg5jiXOL1m8KOeFXoscNVFw1Kh76ELdFptV9PFHOqvi9
H4HEXS/chcgJusoxtMdfbSYXSgIwN3J32wDrExqin6eB9MZLUozzD+wcel40CXkb
k+JZLzozHmWS5/Rc1oSKxqvKEQVhaZY7I+iGdTC1i36jmKtmHYWPPhZ0dZvZa2nZ
4/LXDNv3y2bDH88OGNSgIXudCh4wmUbz1AXG/gaube1vsVdmQc+zlge2iL9XHKpg
hIzz2uyNcI3yReoVvG8Fmfc2bwKUtpojOWDkLmlI2SZDNVn/Rtywa+10q2rDfBFd
oML4kLRunM1nJvyhFQlhaNOwK9SBneh5psg3+mLtPhaynqOyakTXpeQjumcM9kCP
O44i3IrevARYODAVcr35U6aKmkovAjHbcX1b3QPrw0gdfEKo1TvEueE+4Ze7rfhv
iVSixbOnqJHd4YuBg+gkC95YAk74IyBruDSxevrSxT4JDOH5ozujMbVqaHJS5+mN
cmff2KBBq6+RTxnVEAwSNkKi80+QfcidH0dEKjDn0BF/W/oIkX1ruLHhbR1WWxpc
6wPBvF2RGR8T83kYuBRnh8H7UpbNPscOcnsjYqy3TTEfA//K40z4JDG0L5I8iwS3
O1N8L+zcAWwuZBBtBDbvrypavb3DR3nEctj/HjZ6p7y6ALA4yZo=
=g/uD
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Christopher Baines <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#30689; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 12 Oct 2018 07:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.